package com.tofly.gpsboot.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.car.cusom.GpsCarSearch;
import com.tofly.pojo.car.CarOil;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface CustomCarMapper {
    List<Map> getGpsCarList(Page page, @Param("gpsCarSearch") GpsCarSearch gpsCarSearch);
    List<Map> getSection(@Param("gpsCarSearch") GpsCarSearch gpsCarSearch);
    List<Map> listCarWatch( @Param("carId") Long carId, @Param("deptId") Long deptId ,@Param("date") Date date);
    List<Map> listCarWatch2( @Param("carId") Long carId, @Param("deptId") Long deptId ,@Param("date") Date date);
    List<Map> getCarOilPage(Page page, @Param("carOil") CarOil carOil);
}
